# openforcefield.typing.engines.smirnoff.io.XMLParameterIOHandler

class `openforcefield.typing.engines.smirnoff.io.``XMLParameterIOHandler`

  Handles serialization/deserialization of SMIRNOFF ForceField objects from OFFXML format.

  Methods

  `parse_file`(self, source) | Parse a SMIRNOFF force field definition in XML format, read from a file.
  `parse_string`(self, data) | Parse a SMIRNOFF force field definition in XML format.
  `to_file`(self, file_path, smirnoff_data) | Write the current forcefield parameter set to a file.
  `to_string`(self, smirnoff_data) | Write the current forcefield parameter set to an XML string.

  `__init__`(self)

    Create a new ParameterIOHandler.

  Methods

  `__init__`(self) | Create a new ParameterIOHandler.
  `parse_file`(self, source) | Parse a SMIRNOFF force field definition in XML format, read from a file.
  `parse_string`(self, data) | Parse a SMIRNOFF force field definition in XML format.
  `to_file`(self, file_path, smirnoff_data) | Write the current forcefield parameter set to a file.
  `to_string`(self, smirnoff_data) | Write the current forcefield parameter set to an XML string.

  `parse_file`(self, source)

    Parse a SMIRNOFF force field definition in XML format, read from a file.

    Parameters
      source str or io.RawIOBase

        File path of file-like object implementing a `read()` method specifying a SMIRNOFF force field definition in the SMIRNOFF XML format.

    Raises
      ParseError

        If the XML cannot be processed.

      FileNotFoundError

        If the file could not found.

  `parse_string`(self, data)

    Parse a SMIRNOFF force field definition in XML format.

    A `ParseError` is raised if the XML cannot be processed.

    Parameters
      data str

        A SMIRNOFF force field definition in the SMIRNOFF XML format.

  `to_file`(self, file_path, smirnoff_data)

    Write the current forcefield parameter set to a file.

    Parameters
      file_path str

        The path to the file to be written. The .offxml or .xml file extension must be present.

      smirnoff_data dict

        A dict structured in compliance with the SMIRNOFF data spec.

  `to_string`(self, smirnoff_data)

    Write the current forcefield parameter set to an XML string.

    Parameters
      smirnoff_data dict

        A dictionary structured in compliance with the SMIRNOFF spec

    Returns
      serialized_forcefield str

        XML String representation of this forcefield.